function WoWStudyFunction.DebugAll()

    -- Print out info about all saved variables
    print("WoWStudySaved:")
    for k, v in pairs(WoWStudySaved) do
        print(k, v)
    end

    print("\n-------------------------------------\n")

    -- Print out info about all saved decks
    print("WoWStudySaved.decks:")
    for k, v in pairs(WoWStudySaved.decks) do
        print(k, v)
    end

    print("\n-------------------------------------\n")
    print("Cards in saved decks:")
    -- print cards in saved decks
    for deckName, deck in pairs(WoWStudySaved.decks) do
        print("Deck: " .. deckName)
        print("Deck length: " .. #deck.cardsByQuestion)
        print("Cards:")
        for k, v in pairs(deck.cardsByQuestion) do
            print(k, v.question)
        end
    end

    print("\n-------------------------------------\n")

    -- Print out info about all saved sessions
    print("WoWStudySaved.sessions:")
    for k, v in pairs(WoWStudySaved.sessions) do
        print(k, v)
    end

    print("\n-------------------------------------\n")

    -- Print out info about all saved user information
    print("WoWStudySaved.userInformation:")
    for k, v in pairs(WoWStudySaved.userInformation) do
        print(k, v)
    end

    print("\n-------------------------------------\n")

    -- Print out info about all global variables
    print("WoWStudyGlobal:")
    for k, v in pairs(WoWStudyGlobal) do
        print(k, v)
    end

    print("\n-------------------------------------\n")

    -- Print out info about all global sessions
    print("WoWStudyGlobal.currentSession:")
    for k, v in pairs(WoWStudyGlobal.currentSession) do
        print(k, v)
    end

    print("\n-------------------------------------\n")

    -- Print out info about all global selected flashcards
    print("WoWStudyGlobal.selectedFlashcards:")
    for i, v in ipairs(WoWStudyGlobal.selectedFlashcards) do
        print(v)
    end

    print("\n-------------------------------------\n")

end